/// <reference types="react" />
import { EChartOption } from 'echarts';
import { ChartComponent } from '../enum';
import { IEventType } from '../types';
export interface IOptionContextType {
    setOptions: (options: EChartOption) => void;
    updateOption: (options: Partial<EChartOption>, optionKey: ChartComponent, subOptionKey?: ChartComponent) => void;
}
export declare const EchartsOptionContext: import("react").Context<IOptionContextType>;
export interface IEventContextType {
    onEvent: (params: IEventType) => void;
    offEvent: (params: IEventType) => void;
}
export declare const EchartsEventContext: import("react").Context<IEventContextType>;
