import { EChartOption, EChartTitleOption } from 'echarts';
export declare type ITitle = EChartTitleOption;
export declare type IGrid = EChartOption.Grid;
export declare type ILegend = EChartOption.Legend;
export declare type ITooltip = EChartOption.Tooltip;
export declare type IXAxis = EChartOption.XAxis;
export declare type IYAxis = EChartOption.YAxis;
export declare type IAxisPointer = EChartOption.AxisPointer;
export declare type ISeriesBar = EChartOption.SeriesBar;
export declare type ISeriesLine = EChartOption.SeriesLine;
export declare type ISeriesLineOrBar = ISeriesBar | ISeriesLine;
export declare type ISeriesLines = EChartOption.SeriesLines;
export declare type ISeriesPie = EChartOption.SeriesPie;
export declare type ISeriesGauge = EChartOption.SeriesGauge;
export declare type ISeriesRadar = EChartOption.SeriesRadar;
export declare type ISeriesScatter = EChartOption.SeriesScatter;
export declare type IToolbox = EchartOption.toolbox;
export declare type IGraphic = any;
export declare type IDataZoom = EChartOption.DataZoom & {
    height: number;
};
export interface IToolboxOption {
}
declare namespace EchartOption {
    interface toolbox {
        id?: string;
        show?: boolean;
        orient?: 'horizontal' | 'vertical';
        itemSize?: number;
        itemGap?: number;
        showTitle?: boolean;
        feature?: object;
        iconStyle?: object;
        emphasis?: object;
        zlevel?: number;
        z?: number;
        left?: string | number;
        top?: string | number;
        right?: string | number;
        bottom?: string | number;
        width?: string | number;
        height?: string | number;
        tooltip?: ITooltip;
    }
}
export {};
